Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.services.results
Class OrderFilterResult

    java.lang.Object
      com.tibco.bpm.web.client.services.results.OrderFilterResult

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable, net.customware.gwt.dispatch.shared.Result

    public class OrderFilterResult

extends java.lang.Object
implements net.customware.gwt.dispatch.shared.Result

Constructor Summary
`OrderFilterResult(java.lang.String order, java.lang.String filter)` Constructor for OrderFilterResult.

Method Summary
`java.lang.String` | `getFilter()` The Filter string.
`java.lang.String` | `getOrder()` The Order string.
`void` | `setFilter(java.lang.String filter)` Sets the filter string.
`void` | `setOrder(java.lang.String order)` Sets the order string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OrderFilterResult

    public OrderFilterResult(java.lang.String order,
                             java.lang.String filter)

  Constructor for OrderFilterResult.

  Parameters:
    `order` -
    `filter` -

Method Detail

### getOrder

    public java.lang.String getOrder()

  The Order string.

  An example would be :

  "appInstance ASC , appInstanceDescription ASC , id ASC , priority ASC , startDate ASC , endDate ASC , attribute1 ASC , attribute2 ASC , attribute3 ASC , attribute4 ASC"

  See the BRM Filter and Sort documentation for more details.

### setOrder

    public void setOrder(java.lang.String order)

  Sets the order string.

  Parameters:
    `order` -

### getFilter

    public java.lang.String getFilter()

  The Filter string.

  An example would be :

  "appInstance='instance' AND appInstanceDescription>'process1' AND description<'Step2'"

  See the BRM Filter and Sort documentation for more details.

### setFilter

    public void setFilter(java.lang.String filter)

  Sets the filter string.

  Parameters:
    `filter` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.